diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/epc-helper.cc ns-3.39/src/lte/helper/epc-helper.cc
--- ns-3.38/src/lte/helper/epc-helper.cc	2023-03-16 20:54:23.660868600 -0700
+++ ns-3.39/src/lte/helper/epc-helper.cc	2023-07-05 14:23:47.901427700 -0700
@@ -19,7 +19,8 @@
  *         Manuel Requena <manuel.requena@cttc.es>
  */
 
-#include <ns3/epc-helper.h>
+#include "epc-helper.h"
+
 #include <ns3/ipv4-address.h>
 #include <ns3/ipv6-address.h>
 #include <ns3/log.h>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/lte-helper.cc ns-3.39/src/lte/helper/lte-helper.cc
--- ns-3.38/src/lte/helper/lte-helper.cc	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/lte-helper.cc	2023-07-05 14:23:47.901427700 -0700
@@ -22,11 +22,17 @@
 
 #include "lte-helper.h"
 
+#include "cc-helper.h"
+#include "epc-helper.h"
+#include "mac-stats-calculator.h"
+#include "phy-rx-stats-calculator.h"
+#include "phy-stats-calculator.h"
+#include "phy-tx-stats-calculator.h"
+
 #include <ns3/abort.h>
 #include <ns3/buildings-propagation-loss-model.h>
 #include <ns3/epc-enb-application.h>
 #include <ns3/epc-enb-s1-sap.h>
-#include <ns3/epc-helper.h>
 #include <ns3/epc-ue-nas.h>
 #include <ns3/epc-x2.h>
 #include <ns3/ff-mac-scheduler.h>
@@ -35,6 +41,7 @@
 #include <ns3/log.h>
 #include <ns3/lte-anr.h>
 #include <ns3/lte-chunk-processor.h>
+#include <ns3/lte-common.h>
 #include <ns3/lte-enb-component-carrier-manager.h>
 #include <ns3/lte-enb-mac.h>
 #include <ns3/lte-enb-net-device.h>
@@ -54,13 +61,9 @@
 #include <ns3/lte-ue-net-device.h>
 #include <ns3/lte-ue-phy.h>
 #include <ns3/lte-ue-rrc.h>
-#include <ns3/mac-stats-calculator.h>
 #include <ns3/multi-model-spectrum-channel.h>
 #include <ns3/object-factory.h>
 #include <ns3/object-map.h>
-#include <ns3/phy-rx-stats-calculator.h>
-#include <ns3/phy-stats-calculator.h>
-#include <ns3/phy-tx-stats-calculator.h>
 #include <ns3/pointer.h>
 #include <ns3/string.h>
 #include <ns3/trace-fading-loss-model.h>
@@ -739,7 +742,7 @@
             it->first,
             DynamicCast<ComponentCarrierEnb>(it->second)->GetMac()->GetLteMacSapProvider());
 
-        if (ccmTest == false)
+        if (!ccmTest)
         {
             NS_FATAL_ERROR("Error in SetComponentCarrierMacSapProviders");
         }
@@ -939,7 +942,7 @@
     // number of component carriers in UE RRC
     ccmUe->SetNumberOfComponentCarriers(m_noOfCcs);
 
-    // run intializeSap to create the proper number of MAC and PHY control sap provider/users
+    // run initializeSap to create the proper number of MAC and PHY control sap provider/users
     rrc->InitializeSap();
 
     if (m_useIdealRrc)
@@ -987,7 +990,7 @@
             ccmUe->SetComponentCarrierMacSapProviders(it->first,
                                                       it->second->GetMac()->GetLteMacSapProvider());
 
-        if (ccmTest == false)
+        if (!ccmTest)
         {
             NS_FATAL_ERROR("Error in SetComponentCarrierMacSapProviders");
         }
@@ -1572,7 +1575,7 @@
 LteHelper::AssignStreams(NetDeviceContainer c, int64_t stream)
 {
     int64_t currentStream = stream;
-    if (m_fadingModel && (m_fadingStreamsAssigned == false))
+    if (m_fadingModel && !m_fadingStreamsAssigned)
     {
         Ptr<TraceFadingLossModel> tflm = m_fadingModel->GetObject<TraceFadingLossModel>();
         if (tflm)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/lte-helper.h ns-3.39/src/lte/helper/lte-helper.h
--- ns-3.38/src/lte/helper/lte-helper.h	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/lte-helper.h	2023-07-05 14:23:47.901427700 -0700
@@ -22,23 +22,23 @@
 #ifndef LTE_HELPER_H
 #define LTE_HELPER_H
 
-#include <ns3/cc-helper.h>
+#include "mac-stats-calculator.h"
+#include "phy-rx-stats-calculator.h"
+#include "phy-stats-calculator.h"
+#include "phy-tx-stats-calculator.h"
+#include "radio-bearer-stats-calculator.h"
+#include "radio-bearer-stats-connector.h"
+
 #include <ns3/component-carrier-enb.h>
 #include <ns3/config.h>
 #include <ns3/epc-tft.h>
 #include <ns3/eps-bearer.h>
-#include <ns3/mac-stats-calculator.h>
 #include <ns3/mobility-model.h>
 #include <ns3/names.h>
 #include <ns3/net-device-container.h>
 #include <ns3/net-device.h>
 #include <ns3/node-container.h>
 #include <ns3/node.h>
-#include <ns3/phy-rx-stats-calculator.h>
-#include <ns3/phy-stats-calculator.h>
-#include <ns3/phy-tx-stats-calculator.h>
-#include <ns3/radio-bearer-stats-calculator.h>
-#include <ns3/radio-bearer-stats-connector.h>
 #include <ns3/simulator.h>
 
 #include <map>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/lte-hex-grid-enb-topology-helper.cc ns-3.39/src/lte/helper/lte-hex-grid-enb-topology-helper.cc
--- ns-3.38/src/lte/helper/lte-hex-grid-enb-topology-helper.cc	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/lte-hex-grid-enb-topology-helper.cc	2023-07-05 14:23:47.901427700 -0700
@@ -19,9 +19,10 @@
 
 #include "lte-hex-grid-enb-topology-helper.h"
 
+#include "epc-helper.h"
+
 #include <ns3/abort.h>
 #include <ns3/double.h>
-#include <ns3/epc-helper.h>
 #include <ns3/log.h>
 #include <ns3/pointer.h>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/lte-hex-grid-enb-topology-helper.h ns-3.39/src/lte/helper/lte-hex-grid-enb-topology-helper.h
--- ns-3.38/src/lte/helper/lte-hex-grid-enb-topology-helper.h	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/lte-hex-grid-enb-topology-helper.h	2023-07-05 14:23:47.901427700 -0700
@@ -20,7 +20,7 @@
 #ifndef LTE_HEX_GRID_ENB_TOPOLOGY_HELPER_H
 #define LTE_HEX_GRID_ENB_TOPOLOGY_HELPER_H
 
-#include <ns3/lte-helper.h>
+#include "lte-helper.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/lte-stats-calculator.cc ns-3.39/src/lte/helper/lte-stats-calculator.cc
--- ns-3.38/src/lte/helper/lte-stats-calculator.cc	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/lte-stats-calculator.cc	2023-07-05 14:23:47.901427700 -0700
@@ -82,14 +82,7 @@
 bool
 LteStatsCalculator::ExistsImsiPath(std::string path)
 {
-    if (m_pathImsiMap.find(path) == m_pathImsiMap.end())
-    {
-        return false;
-    }
-    else
-    {
-        return true;
-    }
+    return m_pathImsiMap.find(path) != m_pathImsiMap.end();
 }
 
 void
@@ -108,14 +101,7 @@
 bool
 LteStatsCalculator::ExistsCellIdPath(std::string path)
 {
-    if (m_pathCellIdMap.find(path) == m_pathCellIdMap.end())
-    {
-        return false;
-    }
-    else
-    {
-        return true;
-    }
+    return m_pathCellIdMap.find(path) != m_pathCellIdMap.end();
 }
 
 void
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/mac-stats-calculator.cc ns-3.39/src/lte/helper/mac-stats-calculator.cc
--- ns-3.38/src/lte/helper/mac-stats-calculator.cc	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/mac-stats-calculator.cc	2023-07-05 14:23:47.901427700 -0700
@@ -110,7 +110,7 @@
              << (uint32_t)dlSchedulingCallbackInfo.mcsTb2 << dlSchedulingCallbackInfo.sizeTb2);
     NS_LOG_INFO("Write DL Mac Stats in " << GetDlOutputFilename());
 
-    if (m_dlFirstWrite == true)
+    if (m_dlFirstWrite)
     {
         m_dlOutFile.open(GetDlOutputFilename());
         if (!m_dlOutFile.is_open())
@@ -151,7 +151,7 @@
                          << size);
     NS_LOG_INFO("Write UL Mac Stats in " << GetUlOutputFilename());
 
-    if (m_ulFirstWrite == true)
+    if (m_ulFirstWrite)
     {
         m_ulOutFile.open(GetUlOutputFilename());
         if (!m_ulOutFile.is_open())
@@ -185,7 +185,7 @@
     std::ostringstream pathAndRnti;
     std::string pathEnb = path.substr(0, path.find("/ComponentCarrierMap"));
     pathAndRnti << pathEnb << "/LteEnbRrc/UeMap/" << dlSchedulingCallbackInfo.rnti;
-    if (macStats->ExistsImsiPath(pathAndRnti.str()) == true)
+    if (macStats->ExistsImsiPath(pathAndRnti.str()))
     {
         imsi = macStats->GetImsiPath(pathAndRnti.str());
     }
@@ -195,7 +195,7 @@
         macStats->SetImsiPath(pathAndRnti.str(), imsi);
     }
     uint16_t cellId = 0;
-    if (macStats->ExistsCellIdPath(pathAndRnti.str()) == true)
+    if (macStats->ExistsCellIdPath(pathAndRnti.str()))
     {
         cellId = macStats->GetCellIdPath(pathAndRnti.str());
     }
@@ -224,7 +224,7 @@
     std::ostringstream pathAndRnti;
     std::string pathEnb = path.substr(0, path.find("/ComponentCarrierMap"));
     pathAndRnti << pathEnb << "/LteEnbRrc/UeMap/" << rnti;
-    if (macStats->ExistsImsiPath(pathAndRnti.str()) == true)
+    if (macStats->ExistsImsiPath(pathAndRnti.str()))
     {
         imsi = macStats->GetImsiPath(pathAndRnti.str());
     }
@@ -234,7 +234,7 @@
         macStats->SetImsiPath(pathAndRnti.str(), imsi);
     }
     uint16_t cellId = 0;
-    if (macStats->ExistsCellIdPath(pathAndRnti.str()) == true)
+    if (macStats->ExistsCellIdPath(pathAndRnti.str()))
     {
         cellId = macStats->GetCellIdPath(pathAndRnti.str());
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/mac-stats-calculator.h ns-3.39/src/lte/helper/mac-stats-calculator.h
--- ns-3.38/src/lte/helper/mac-stats-calculator.h	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/mac-stats-calculator.h	2023-07-05 14:23:47.901427700 -0700
@@ -22,8 +22,9 @@
 #ifndef MAC_STATS_CALCULATOR_H_
 #define MAC_STATS_CALCULATOR_H_
 
+#include "lte-stats-calculator.h"
+
 #include "ns3/lte-enb-mac.h"
-#include "ns3/lte-stats-calculator.h"
 #include "ns3/nstime.h"
 #include "ns3/uinteger.h"
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/no-backhaul-epc-helper.cc ns-3.39/src/lte/helper/no-backhaul-epc-helper.cc
--- ns-3.38/src/lte/helper/no-backhaul-epc-helper.cc	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/no-backhaul-epc-helper.cc	2023-07-05 14:23:47.901427700 -0700
@@ -18,7 +18,7 @@
  *         (based on the original point-to-point-epc-helper.cc)
  */
 
-#include "ns3/no-backhaul-epc-helper.h"
+#include "no-backhaul-epc-helper.h"
 
 #include "ns3/boolean.h"
 #include "ns3/epc-enb-application.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/no-backhaul-epc-helper.h ns-3.39/src/lte/helper/no-backhaul-epc-helper.h
--- ns-3.38/src/lte/helper/no-backhaul-epc-helper.h	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/no-backhaul-epc-helper.h	2023-07-05 14:23:47.901427700 -0700
@@ -21,7 +21,7 @@
 #ifndef NO_BACKHAUL_EPC_HELPER_H
 #define NO_BACKHAUL_EPC_HELPER_H
 
-#include "ns3/epc-helper.h"
+#include "epc-helper.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/phy-rx-stats-calculator.cc ns-3.39/src/lte/helper/phy-rx-stats-calculator.cc
--- ns-3.38/src/lte/helper/phy-rx-stats-calculator.cc	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/phy-rx-stats-calculator.cc	2023-07-05 14:23:47.901427700 -0700
@@ -106,7 +106,7 @@
                          << params.m_ndi << params.m_correctness);
     NS_LOG_INFO("Write DL Rx Phy Stats in " << GetDlRxOutputFilename());
 
-    if (m_dlRxFirstWrite == true)
+    if (m_dlRxFirstWrite)
     {
         m_dlRxOutFile.open(GetDlRxOutputFilename());
         if (!m_dlRxOutFile.is_open())
@@ -142,7 +142,7 @@
                          << params.m_ndi << params.m_correctness);
     NS_LOG_INFO("Write UL Rx Phy Stats in " << GetUlRxOutputFilename());
 
-    if (m_ulRxFirstWrite == true)
+    if (m_ulRxFirstWrite)
     {
         m_ulRxOutFile.open(GetUlRxOutputFilename());
         if (!m_ulRxOutFile.is_open())
@@ -178,7 +178,7 @@
     std::ostringstream pathAndRnti;
     pathAndRnti << path << "/" << params.m_rnti;
     std::string pathUePhy = path.substr(0, path.find("/ComponentCarrierMapUe"));
-    if (phyRxStats->ExistsImsiPath(pathAndRnti.str()) == true)
+    if (phyRxStats->ExistsImsiPath(pathAndRnti.str()))
     {
         imsi = phyRxStats->GetImsiPath(pathAndRnti.str());
     }
@@ -202,7 +202,7 @@
     std::ostringstream pathAndRnti;
     std::string pathEnb = path.substr(0, path.find("/ComponentCarrierMap"));
     pathAndRnti << pathEnb << "/LteEnbRrc/UeMap/" << params.m_rnti;
-    if (phyRxStats->ExistsImsiPath(pathAndRnti.str()) == true)
+    if (phyRxStats->ExistsImsiPath(pathAndRnti.str()))
     {
         imsi = phyRxStats->GetImsiPath(pathAndRnti.str());
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/phy-rx-stats-calculator.h ns-3.39/src/lte/helper/phy-rx-stats-calculator.h
--- ns-3.38/src/lte/helper/phy-rx-stats-calculator.h	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/phy-rx-stats-calculator.h	2023-07-05 14:23:47.901427700 -0700
@@ -22,7 +22,8 @@
 #ifndef PHY_RX_STATS_CALCULATOR_H_
 #define PHY_RX_STATS_CALCULATOR_H_
 
-#include "ns3/lte-stats-calculator.h"
+#include "lte-stats-calculator.h"
+
 #include "ns3/nstime.h"
 #include "ns3/uinteger.h"
 #include <ns3/lte-common.h>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/phy-stats-calculator.cc ns-3.39/src/lte/helper/phy-stats-calculator.cc
--- ns-3.38/src/lte/helper/phy-stats-calculator.cc	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/phy-stats-calculator.cc	2023-07-05 14:23:47.901427700 -0700
@@ -132,7 +132,7 @@
     NS_LOG_FUNCTION(this << cellId << imsi << rnti << rsrp << sinr);
     NS_LOG_INFO("Write RSRP/SINR Phy Stats in " << GetCurrentCellRsrpSinrFilename());
 
-    if (m_RsrpSinrFirstWrite == true)
+    if (m_RsrpSinrFirstWrite)
     {
         m_rsrpOutFile.open(GetCurrentCellRsrpSinrFilename());
         if (!m_rsrpOutFile.is_open())
@@ -164,7 +164,7 @@
     NS_LOG_FUNCTION(this << cellId << imsi << rnti << sinrLinear);
     NS_LOG_INFO("Write SINR Linear Phy Stats in " << GetUeSinrFilename());
 
-    if (m_UeSinrFirstWrite == true)
+    if (m_UeSinrFirstWrite)
     {
         m_ueSinrOutFile.open(GetUeSinrFilename());
         if (!m_ueSinrOutFile.is_open())
@@ -190,7 +190,7 @@
     NS_LOG_FUNCTION(this << cellId << interference);
     NS_LOG_INFO("Write Interference Phy Stats in " << GetInterferenceFilename());
 
-    if (m_InterferenceFirstWrite == true)
+    if (m_InterferenceFirstWrite)
     {
         m_interferenceOutFile.open(GetInterferenceFilename());
         if (!m_interferenceOutFile.is_open())
@@ -220,7 +220,7 @@
     NS_LOG_FUNCTION(phyStats << path);
     uint64_t imsi = 0;
     std::string pathUePhy = path.substr(0, path.find("/ComponentCarrierMapUe"));
-    if (phyStats->ExistsImsiPath(pathUePhy) == true)
+    if (phyStats->ExistsImsiPath(pathUePhy))
     {
         imsi = phyStats->GetImsiPath(pathUePhy);
     }
@@ -248,7 +248,7 @@
     pathAndRnti << path << "/" << rnti;
     std::string pathEnbMac = path.substr(0, path.find("/ComponentCarrierMap"));
     pathEnbMac += "/LteEnbMac/DlScheduling";
-    if (phyStats->ExistsImsiPath(pathAndRnti.str()) == true)
+    if (phyStats->ExistsImsiPath(pathAndRnti.str()))
     {
         imsi = phyStats->GetImsiPath(pathAndRnti.str());
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/phy-stats-calculator.h ns-3.39/src/lte/helper/phy-stats-calculator.h
--- ns-3.38/src/lte/helper/phy-stats-calculator.h	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/phy-stats-calculator.h	2023-07-05 14:23:47.901427700 -0700
@@ -20,7 +20,8 @@
 #ifndef PHY_STATS_CALCULATOR_H_
 #define PHY_STATS_CALCULATOR_H_
 
-#include "ns3/lte-stats-calculator.h"
+#include "lte-stats-calculator.h"
+
 #include "ns3/nstime.h"
 #include "ns3/spectrum-value.h"
 #include "ns3/uinteger.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/phy-tx-stats-calculator.cc ns-3.39/src/lte/helper/phy-tx-stats-calculator.cc
--- ns-3.38/src/lte/helper/phy-tx-stats-calculator.cc	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/phy-tx-stats-calculator.cc	2023-07-05 14:23:47.901427700 -0700
@@ -106,7 +106,7 @@
                          << params.m_ndi);
     NS_LOG_INFO("Write DL Tx Phy Stats in " << GetDlTxOutputFilename());
 
-    if (m_dlTxFirstWrite == true)
+    if (m_dlTxFirstWrite)
     {
         m_dlTxOutFile.open(GetDlOutputFilename());
         if (!m_dlTxOutFile.is_open())
@@ -140,7 +140,7 @@
                          << params.m_ndi);
     NS_LOG_INFO("Write UL Tx Phy Stats in " << GetUlTxOutputFilename());
 
-    if (m_ulTxFirstWrite == true)
+    if (m_ulTxFirstWrite)
     {
         m_ulTxOutFile.open(GetUlTxOutputFilename());
         if (!m_ulTxOutFile.is_open())
@@ -177,7 +177,7 @@
     std::ostringstream pathAndRnti;
     std::string pathEnb = path.substr(0, path.find("/ComponentCarrierMap"));
     pathAndRnti << pathEnb << "/LteEnbRrc/UeMap/" << params.m_rnti;
-    if (phyTxStats->ExistsImsiPath(pathAndRnti.str()) == true)
+    if (phyTxStats->ExistsImsiPath(pathAndRnti.str()))
     {
         imsi = phyTxStats->GetImsiPath(pathAndRnti.str());
     }
@@ -201,7 +201,7 @@
     std::ostringstream pathAndRnti;
     pathAndRnti << path << "/" << params.m_rnti;
     std::string pathUePhy = path.substr(0, path.find("/ComponentCarrierMapUe"));
-    if (phyTxStats->ExistsImsiPath(pathAndRnti.str()) == true)
+    if (phyTxStats->ExistsImsiPath(pathAndRnti.str()))
     {
         imsi = phyTxStats->GetImsiPath(pathAndRnti.str());
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/phy-tx-stats-calculator.h ns-3.39/src/lte/helper/phy-tx-stats-calculator.h
--- ns-3.38/src/lte/helper/phy-tx-stats-calculator.h	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/phy-tx-stats-calculator.h	2023-07-05 14:23:47.901427700 -0700
@@ -22,7 +22,8 @@
 #ifndef PHY_TX_STATS_CALCULATOR_H_
 #define PHY_TX_STATS_CALCULATOR_H_
 
-#include "ns3/lte-stats-calculator.h"
+#include "lte-stats-calculator.h"
+
 #include "ns3/nstime.h"
 #include "ns3/uinteger.h"
 #include <ns3/lte-common.h>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/point-to-point-epc-helper.cc ns-3.39/src/lte/helper/point-to-point-epc-helper.cc
--- ns-3.38/src/lte/helper/point-to-point-epc-helper.cc	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/point-to-point-epc-helper.cc	2023-07-05 14:23:47.901427700 -0700
@@ -20,7 +20,7 @@
  *         (most of the code refactored to no-backhaul-epc-helper.cc)
  */
 
-#include "ns3/point-to-point-epc-helper.h"
+#include "point-to-point-epc-helper.h"
 
 #include "ns3/boolean.h"
 #include "ns3/log.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/point-to-point-epc-helper.h ns-3.39/src/lte/helper/point-to-point-epc-helper.h
--- ns-3.38/src/lte/helper/point-to-point-epc-helper.h	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/point-to-point-epc-helper.h	2023-07-05 14:23:47.901427700 -0700
@@ -23,7 +23,7 @@
 #ifndef POINT_TO_POINT_EPC_HELPER_H
 #define POINT_TO_POINT_EPC_HELPER_H
 
-#include "ns3/no-backhaul-epc-helper.h"
+#include "no-backhaul-epc-helper.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/radio-bearer-stats-calculator.cc ns-3.39/src/lte/helper/radio-bearer-stats-calculator.cc
--- ns-3.38/src/lte/helper/radio-bearer-stats-calculator.cc	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/radio-bearer-stats-calculator.cc	2023-07-05 14:23:47.901427700 -0700
@@ -244,7 +244,7 @@
     std::ofstream ulOutFile;
     std::ofstream dlOutFile;
 
-    if (m_firstWrite == true)
+    if (m_firstWrite)
     {
         ulOutFile.open(GetUlOutputFilename());
         if (!ulOutFile.is_open())
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/helper/radio-bearer-stats-calculator.h ns-3.39/src/lte/helper/radio-bearer-stats-calculator.h
--- ns-3.38/src/lte/helper/radio-bearer-stats-calculator.h	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/helper/radio-bearer-stats-calculator.h	2023-07-05 14:23:47.901427700 -0700
@@ -21,9 +21,10 @@
 #ifndef RADIO_BEARER_STATS_CALCULATOR_H_
 #define RADIO_BEARER_STATS_CALCULATOR_H_
 
+#include "lte-stats-calculator.h"
+
 #include "ns3/basic-data-calculators.h"
 #include "ns3/lte-common.h"
-#include "ns3/lte-stats-calculator.h"
 #include "ns3/object.h"
 #include "ns3/uinteger.h"
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/a2-a4-rsrq-handover-algorithm.h ns-3.39/src/lte/model/a2-a4-rsrq-handover-algorithm.h
--- ns-3.38/src/lte/model/a2-a4-rsrq-handover-algorithm.h	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/model/a2-a4-rsrq-handover-algorithm.h	2023-07-05 14:23:47.901427700 -0700
@@ -27,9 +27,10 @@
 #ifndef A2_A4_RSRQ_HANDOVER_ALGORITHM_H
 #define A2_A4_RSRQ_HANDOVER_ALGORITHM_H
 
-#include <ns3/lte-handover-algorithm.h>
-#include <ns3/lte-handover-management-sap.h>
-#include <ns3/lte-rrc-sap.h>
+#include "lte-handover-algorithm.h"
+#include "lte-handover-management-sap.h"
+#include "lte-rrc-sap.h"
+
 #include <ns3/ptr.h>
 #include <ns3/simple-ref-count.h>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/a3-rsrp-handover-algorithm.cc ns-3.39/src/lte/model/a3-rsrp-handover-algorithm.cc
--- ns-3.38/src/lte/model/a3-rsrp-handover-algorithm.cc	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/model/a3-rsrp-handover-algorithm.cc	2023-07-05 14:23:47.901427700 -0700
@@ -20,9 +20,10 @@
 
 #include "a3-rsrp-handover-algorithm.h"
 
+#include "lte-common.h"
+
 #include <ns3/double.h>
 #include <ns3/log.h>
-#include <ns3/lte-common.h>
 
 #include <algorithm>
 #include <list>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/a3-rsrp-handover-algorithm.h ns-3.39/src/lte/model/a3-rsrp-handover-algorithm.h
--- ns-3.38/src/lte/model/a3-rsrp-handover-algorithm.h	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/model/a3-rsrp-handover-algorithm.h	2023-07-05 14:23:47.901427700 -0700
@@ -21,9 +21,10 @@
 #ifndef A3_RSRP_HANDOVER_ALGORITHM_H
 #define A3_RSRP_HANDOVER_ALGORITHM_H
 
-#include <ns3/lte-handover-algorithm.h>
-#include <ns3/lte-handover-management-sap.h>
-#include <ns3/lte-rrc-sap.h>
+#include "lte-handover-algorithm.h"
+#include "lte-handover-management-sap.h"
+#include "lte-rrc-sap.h"
+
 #include <ns3/nstime.h>
 
 namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/component-carrier-enb.cc ns-3.39/src/lte/model/component-carrier-enb.cc
--- ns-3.38/src/lte/model/component-carrier-enb.cc	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/model/component-carrier-enb.cc	2023-07-05 14:23:47.901427700 -0700
@@ -19,13 +19,14 @@
 
 #include "component-carrier-enb.h"
 
+#include "ff-mac-scheduler.h"
+#include "lte-enb-mac.h"
+#include "lte-enb-phy.h"
+#include "lte-ffr-algorithm.h"
+
 #include <ns3/abort.h>
 #include <ns3/boolean.h>
-#include <ns3/ff-mac-scheduler.h>
 #include <ns3/log.h>
-#include <ns3/lte-enb-mac.h>
-#include <ns3/lte-enb-phy.h>
-#include <ns3/lte-ffr-algorithm.h>
 #include <ns3/pointer.h>
 #include <ns3/simulator.h>
 #include <ns3/uinteger.h>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/component-carrier-enb.h ns-3.39/src/lte/model/component-carrier-enb.h
--- ns-3.38/src/lte/model/component-carrier-enb.h	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/model/component-carrier-enb.h	2023-07-05 14:23:47.901427700 -0700
@@ -21,9 +21,8 @@
 #define COMPONENT_CARRIER_ENB_H
 
 #include "component-carrier.h"
+#include "lte-enb-phy.h"
 
-#include "ns3/lte-phy.h"
-#include <ns3/lte-enb-phy.h>
 #include <ns3/nstime.h>
 #include <ns3/object.h>
 #include <ns3/packet.h>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/component-carrier-ue.cc ns-3.39/src/lte/model/component-carrier-ue.cc
--- ns-3.38/src/lte/model/component-carrier-ue.cc	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/model/component-carrier-ue.cc	2023-07-05 14:23:47.901427700 -0700
@@ -19,11 +19,12 @@
 
 #include "component-carrier-ue.h"
 
+#include "lte-ue-mac.h"
+#include "lte-ue-phy.h"
+
 #include <ns3/abort.h>
 #include <ns3/boolean.h>
 #include <ns3/log.h>
-#include <ns3/lte-ue-mac.h>
-#include <ns3/lte-ue-phy.h>
 #include <ns3/pointer.h>
 #include <ns3/simulator.h>
 #include <ns3/uinteger.h>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/model/component-carrier-ue.h ns-3.39/src/lte/model/component-carrier-ue.h
--- ns-3.38/src/lte/model/component-carrier-ue.h	2023-03-16 20:54:23.664868600 -0700
+++ ns-3.39/src/lte/model/component-carrier-ue.h	2023-07-05 14:23:47.901427700 -0700
@@ -20,9 +20,10 @@
 #ifndef COMPONENT_CARRIER_UE_H
 #define COMPONENT_CARRIER_UE_H
 
-#include "ns3/lte-phy.h"
-#include <ns3/component-carrier.h>
-#include <ns3/lte-ue-phy.h>
+#include "component-carrier.h"
+#include "lte-phy.h"
+#include "lte-ue-phy.h"
+
 #include <ns3/nstime.h>
 #include <ns3/object.h>
 #include <ns3/packet.h>
